Skip to content
EN

创建任务-stability-ai/stable-diffusion-img2img

方法: POST路径: /replicate/v1/predictions

https://replicate.com/stability-ai/stable-diffusion-img2img?input=http 使用 Stable Diffusion 从输入图像生成新图像

请求参数

Header 参数

text
Content-Type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
version
string
必需
input
object
必需
seed
integer
必需
image
string
必需
steps
integer
必需
prompt
string
必需
cfg_scale
integer
必需
scheduler
string
必需
sampler_name
string
必需
negative_prompt
string
必需
denoising_strength
number
必需
outpaint_direction
string
必需
overlay_original_img
boolean
必需
示例
{
"version"
:
"15a3689ee13b0d2616e98820eca31d4c3abcd36672df6afce5cb6feb1d66087d"
,
"input"
:
{
"image"
:
"https://replicate.delivery/pbxt/HtKMvJSvuGWDn2B35mM396QGzcrgCNkcgSko8JxtXux4aX9H/sketch-mountains-input.jpeg"
,
"prompt"
:
"A fantasy landscape, trending on artstation"
,
"scheduler"
:
"DPMSolverMultistep"
,
"num_outputs"
:
1
,
"guidance_scale"
:
7.5
,
"prompt_strength"
:
0.8
,
"num_inference_steps"
:
25
}
}

请求示例代码

Shell

bash
curl --location --request POST '/replicate/v1/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "version": "15a3689ee13b0d2616e98820eca31d4c3abcd36672df6afce5cb6feb1d66087d",
    "input": {
      "image": "https://replicate.delivery/pbxt/HtKMvJSvuGWDn2B35mM396QGzcrgCNkcgSko8JxtXux4aX9H/sketch-mountains-input.jpeg",
      "prompt": "A fantasy landscape, trending on artstation",
      "scheduler": "DPMSolverMultistep",
      "num_outputs": 1,
      "guidance_scale": 7.5,
      "prompt_strength": 0.8,
      "num_inference_steps": 25
    }
  }'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{}